org.gnome.gtk

## Class SizeGroup

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.SizeGroup

-     public class SizeGroup
      extends Object

  Cause a group of Widgets to have the same size request in either the horizontal dimension, the vertical dimension, or both. A SizeGroup is somewhat like a Container, although it is a helper class for Widgets and not itself a Widget. When you create a SizeGroup, you specify the mode indicating the way you want it to act upon the Widgets placed into it, and then add Widgets. All the Widgets "in" the SizeGroup will then all have have their width request in common (`HORIZONTAL`) or their height request in common ( `VERTICAL`), or, in somewhat rarer circumstances, have both their width and height requests in common `BOTH`). The size requested will be that of the Widget in the group that is the largest in that dimension.

  When doing data entry across a large number of fields, it is a GNOME usability standard that the Entry boxes be common width and aligned vertically. While there are certainly cases where you have a good reason for doing otherwise, if you are filling in a form then using a SizeGroup can help you create a nice uniform appearance.

  SizeGroups can be fantastically useful to create the "table" effect but across an uneven series of HBoxes nested in VBoxes with but with other things in between.

  Since:
    4.0.6
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SizeGroup(SizeGroupMode mode)` Instantiate a new SizeGroup, constraining per the `mode` parameter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Widget widget)` Specify a Widget to be constrained as a member of this SizeGroup.
    `void` | `remove(Widget widget)` Remove a Widget that was previously added to the SizeGroup.

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SizeGroup

          public SizeGroup(SizeGroupMode mode)

      Instantiate a new SizeGroup, constraining per the `mode` parameter.
      Since:
        4.0.6

  - ### Method Detail

    - #### add

          public void add(Widget widget)

      Specify a Widget to be constrained as a member of this SizeGroup.
      Since:
        4.0.6

    - #### remove

          public void remove(Widget widget)

      Remove a Widget that was previously added to the SizeGroup.
      Since:
        4.0.6